Name:		wmctrl
Version:	1.07
Release:	%mkrel 7
License:	GPLv2+
Group:		System/X11
Url:		http://tomas.styblo.name/wmctrl/
Source:		%name-%version.tar.bz2
Patch0:		wmctrl-1.07-fix-64-bits-behaviour-debian.patch
Summary:	Command line tool to interact with an EWMH/NetWM compatible X Window Manager
BuildRequires:	glib2-devel
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel

%description
Wmctrl provides command line access to almost all the features defined
in the EWMH specification. Using it, it's possible to, for example,
obtain information about the window manager, get a detailed list of
desktops and managed windows, switch and resize desktops, change number
of desktops, make windows full-screen, always-above or sticky, and
activate, close, move, resize, maximize and minimize them.

The command line access makes it easy to automate these tasks and
execute them from any application that is able to run a command in
response to some event.

Please note that wmctrl only works with window managers which implement
this specification.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_mandir/man1/wmctrl.1.*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.07-7.mga3
+ Revision: 385727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 10 2011 stormi <stormi> 1.07-6.mga2
+ Revision: 141968
- add debian patch to fix https://bugs.mageia.org/show_bug.cgi?id=2326#c5

  + dmorgan <dmorgan>
    - Rebuild to have an higher version than in updates

  + ovitters <ovitters>
    - update homepage, clean spec file (define name/version/release, buildroot, defattr)
    - imported package wmctrl

